質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.59%

rubygemsのアップデートが反映されない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 2,361

score 12

rubyのバージョンを2.0→2.4にしましたが
gemは2.0のままです。
ネットワークが繋がらない環境のため
https://rubygems.org/からrubygems-update-2.4.1.gemを入手しています。
gem を2.4にアップデートするにはどうすればよいのでしょうか。

ruby -v

ruby 2.4.1p111 

gem -v

2.0.14

gem update rubygems-update -l

Updating installed gems
Nothing to update

 gem environment

RubyGems Environment:

  • RUBYGEMS VERSION: 2.0.14
  • RUBY VERSION: 2.0.0 (2014-02-24 patchlevel 451) [x86_64-linux]
  • INSTALLATION DIRECTORY: /usr/local/share/ruby/gems/2.0
  • RUBY EXECUTABLE: /usr/bin/ruby2.0
  • EXECUTABLE DIRECTORY: /usr/local/bin
  • RUBYGEMS PLATFORMS:
  • ruby
  • x86_64-linux
  • GEM PATHS:
  • /usr/local/share/ruby/gems/2.0
  • /root/.gem/ruby/2.0
  • /usr/share/ruby/gems/2.0
  • GEM CONFIGURATION:
  • :update_sources => true
  • :verbose => true
  • :backtrace => false
  • :bulk_threshold => 1000
  • REMOTE SOURCES:
  • https://rubygems.org/

vi /.bashrc

export PATH="/usr/local/src/ruby-2.4.1:$PATH"
export GEM_HOME="/usr/local/src/ruby-2.4.1/gems/" ←追加してみました

 gem environment

RubyGems Environment:

  • RUBYGEMS VERSION: 2.0.14
  • RUBY VERSION: 2.0.0 (2014-02-24 patchlevel 451) [x86_64-linux]
  • INSTALLATION DIRECTORY: /usr/local/src/ruby-2.4.1/gems/
  • RUBY EXECUTABLE: /usr/bin/ruby2.0
  • EXECUTABLE DIRECTORY: /usr/local/src/ruby-2.4.1/gems/bin
  • RUBYGEMS PLATFORMS:
  • ruby
  • x86_64-linux
  • GEM PATHS:
  • /usr/local/src/ruby-2.4.1/gems/
  • GEM CONFIGURATION:
  • :update_sources => true
  • :verbose => true
  • :backtrace => false
  • :bulk_threshold => 1000
  • REMOTE SOURCES:
  • https://rubygems.org/
    部分的に変わったものの2.0.14のままです…
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

Windows版のRubyですが私がやったときは

gem install --local rubygems-update-2.4.5.gem
update_rubygems


でいけました。

参考
新しいgemのアップデート方
bundle install がこけるようになった

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/06/23 22:06

    ありがとうございます。ご回答頂いた内容でgemのバージョンアップが出来ました!

    キャンセル

  • 2017/06/23 22:30

    いえいえ。どういたしまして。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.59%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る